Attribute VB_Name = "LockViews"
Sub LockAllViews()
'=============================================================================
' Description: Locks or unlocks the interface of all views defined for the
'              current folder.
'
' author: Robert Sparnaaij
' website: http://www.howto-outlook.com/howto/lockviews.htm
' original example: http://msdn.microsoft.com/en-us/library/Aa171474
'=============================================================================

    Dim olApp As Outlook.Application
    Dim objViews As Outlook.Views
    Dim objView As Outlook.View

    Set olApp = Outlook.Application
    Set objViews = olApp.ActiveExplorer.CurrentFolder.Views
    
    Dim blnCurrentStatus As Boolean
    Dim strCurrentStatus As String
    blnCurrentStatus = olApp.ActiveExplorer.CurrentFolder.CurrentView.LockUserChanges
    If blnCurrentStatus = True Then
        strCurrentStatus = "locked"
       Else
        strCurrentStatus = "unlocked"
    End If
    
    Dim Result As Integer
    Result = MsgBox("The status of your current view is: " & strCurrentStatus & _
                vbNewLine & vbNewLine & _
                "Do you want to lock [Yes] or unlock [No] your views?", _
                vbYesNoCancel + vbQuestion, "Lock/Unlock View Changes")
    
    Dim blnLock As Boolean
    Select Case Result
     Case vbYes
        blnLock = True
     Case vbNo
        blnLock = False
     Case Else
        Exit Sub
    End Select

    For Each objView In objViews
           Call LockView(objView, blnLock)
    Next objView

End Sub

Sub LockView(ByRef objView As View, ByVal blnAns As Boolean)
'Locks the user interface of the view.
'Accepts and returns a View object and user response.

    With objView
        If blnAns = True Then
            'if true lock UI
            .LockUserChanges = True
            .Save
        Else
            'if false don't lock UI
            .LockUserChanges = False
            .Save
        End If
    End With

End Sub